Loading...
Searching...
No Matches
Encoding.hpp File Reference
`#include "Macros.hpp"`
`#include <string>`
`#include "impl/Encoding_inl.hpp"`

Go to the source code of this file.

## Namespaces

namespace | CLI

## Functions

CLI11_INLINE std::string | CLI::narrow (const std::wstring &str)
| Convert a wide string to a narrow string.
CLI11_INLINE std::string | CLI::narrow (const wchar_t *str)
CLI11_INLINE std::string | CLI::narrow (const wchar_t *str, std::size_t size)
CLI11_INLINE std::wstring | CLI::widen (const std::string &str)
| Convert a narrow string to a wide string.
CLI11_INLINE std::wstring | CLI::widen (const char *str)
CLI11_INLINE std::wstring | CLI::widen (const char *str, std::size_t size)